﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLOLIN]') AND name = N'IDX_DLOCOMP')
BEGIN 
PRINT 'Creating index IDX_DLOCOMP on table DLOLIN'
CREATE NONCLUSTERED INDEX [IDX_DLOCOMP] ON [dbo].[DLOLIN] 
(
	[CNAM] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLOLIN]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table DLOLIN'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[DLOLIN] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLOLIN' AND COLUMN_NAME = 'EVAT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLOLIN_EVAT')
BEGIN 
    PRINT 'Creating default constraint DF_DLOLIN_EVAT on table DLOLIN' 
    ALTER TABLE [dbo].[DLOLIN]
    ADD CONSTRAINT [DF_DLOLIN_EVAT] DEFAULT ((0)) FOR [EVAT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLOLIN' AND COLUMN_NAME = 'PREV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLOLIN_PREV')
BEGIN 
    PRINT 'Creating default constraint DF_DLOLIN_PREV on table DLOLIN' 
    ALTER TABLE [dbo].[DLOLIN]
    ADD CONSTRAINT [DF_DLOLIN_PREV] DEFAULT ((0)) FOR [PREV]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLOLIN' AND COLUMN_NAME = 'FILL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLOLIN_FILL')
BEGIN 
    PRINT 'Creating default constraint DF_DLOLIN_FILL on table DLOLIN' 
    ALTER TABLE [dbo].[DLOLIN]
    ADD CONSTRAINT [DF_DLOLIN_FILL] DEFAULT ((0)) FOR [FILL]
END 
GO

